2010-06-02 Rodrigo Kumpera  <rkumpera@novell.com>

	* invalid_generic_constraints_with_loop.il:
	* valid_dependent_generic_constraint_and_boxing.il:
		Regression tests for #610625.

2010-04-09 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_switch_with_value_on_stack.il: New test.

2010-04-09 Rodrigo Kumpera  <rkumpera@novell.com>

	valid_call_to_virtual_method_on_sealed_class.il: New test.

2010-04-07 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_store_of_uint_to_int_array.il: Regression test
	for #555950.

2010-04-05 Rodrigo Kumpera  <rkumpera@novell.com>

	* unverifiable_ginst_dont_reduce_to_gparam_with_constraint.il: Regression test
	for #587849.

2010-03-26 Rodrigo Kumpera  <rkumpera@novell.com>

	* invalid_branch_in_between_prefix_and_instruction.il:
	* invalid_empty_filter_block.il:
	* make_endfilter_test.sh
	* make_endfinally_test.sh: Silence which when gsed is not found.

2010-02-04 Rodrigo Kumpera  <rkumpera@novell.com>

	* make_endfilter_test.sh: Fix this test to not have a throw that make some of the
	endfilter unreachable.

2010-02-04 Rodrigo Kumpera  <rkumpera@novell.com>

	* invalid_branch_in_between_prefix_and_instruction.il:
	* invalid_empty_filter_block.il:
	* make_endfilter_test.sh
	* make_endfinally_test.sh: Bunch of OSX and test fixes.

2010-01-28 Rodrigo Kumpera  <rkumpera@novell.com>

	* Makefile, *.sh, *.il: Change status of a bunch of a tests to reflect the metadata
	verifier. First pass into making the test suite works under OSX.

2010-01-08 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_iface_with_variant_constraint.cs: Constraints can be variant.

2009-12-26 Rodrigo Kumpera  <rkumpera@novell.com>

	* invalid_try_catch_with_zero_max_stack.il: Regression test for bug #562320.

2009-08-17 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_generic_type_definition_on_boxing_position.cs: Valid encoding of GTD on
	box position.

2009-08-14 Rodrigo Kumpera  <rkumpera@novell.com>

	*unverifiable_ldobj_with_generic_type_definition.il: Regression test for
	bug #531237.

2009-07-20 Rodrigo Kumpera  <rkumpera@novell.com>

	* Makefile: Add support for new test kind badmd for tests with broken
	metadata.

	* make_tests.sh: Fix some tests that have broken metadata.

	* *.sh: Add execute bit.

2009-04-28 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_ldflda_owned_field_on_cctor.il: Fix visibility of .ctor.

2009-04-20 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_nested_eh_in_try_of_try_filter_block.il:  Regression
	test for #495656.

2009-04-20 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_initobj_this.cs: Regression test for #496175.

2009-04-19 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_access_nested_class_multidym_array.cs: Regression test for
	#496150.

2009-04-14 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_br_before_try_block.il: Regression test for #494812.

2009-04-13 Rodrigo Kumpera  <rkumpera@novell.com>

	* invalid_backward_branch.il: Fix typo.

2009-04-09 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_delegate_signature_with_generics.cs: Test for the compatibility
	of delegate arguments when a function has a non generic type argument
	and the delegate has a generic one.

2009-04-08 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_nested_access_with_multi_array_instance.cs:
	* valid_nested_access_with_array_instance.cs: Regression tests for
	#493068.

2009-04-07 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_eh_block_with_no_instructions_after.il: Regression test
	for #492494.

2009-04-06 Rodrigo Kumpera  <rkumpera@novell.com>

	* unverifiable_throw_with_unboxed_generic_argument.il: Regression test
	for #487738.

2009-04-02 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_candidate_contraint_is_inflated_using_global_context.cs:
	New test for cases where the candidate constraint type refers to the
	global generic context.

	We have to use it because it might be the case the the global context
	has more arguments than the local one.

2009-03-31 Rodrigo Kumpera  <rkumpera@novell.com>

	* invalid_catch_block_out_of_bounds.il
	* invalid_try_block_out_of_bounds.il: Tests for proper bounds
	check of exception clauses.

2009-03-16 Rodrigo Kumpera  <rkumpera@novell.com>

	* invalid_generic_generic_object_is_boxed.il: Regression test
	for #485706.

2009-02-17 Rodrigo Kumpera  <rkumpera@novell.com>

	* unverifiable_array_element_type_compatiblity.il: Regression test
	for #474271.

2009-02-16 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_rethrow_doesnt_fallthrough: New regression test for
	#476257.

2009-02-03 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_boxed_vt_compatible_with_sys_vt_or_sys_enum.il:
	Regression test for #469549.

2009-02-03 Rodrigo Kumpera  <rkumpera@novell.com>

	* unverifiable_delegate_with_bad_bound_first_arg_to_static_method.il:
	* mono/tests/verifier/valid_ldfnt_delegates_of_static_methods.il:
	Regression test for #469529.

2009-02-03 Rodrigo Kumpera  <rkumpera@novell.com>

	* valid_valuetype_boxed_types_are_merge_compatible.il:
	Regression test for #469528.

2009-01-06 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_iface_constant_with_parent_implementing_it.il:
	Regression test for #461200.

2009-01-06 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_array_compat_with_bonds_and_sizes.il:
	* valid_array_compat_with_bounds.il:
	* valid_array_compat_with_sizes.il: Regression tests for 
	#461200.

2009-01-06 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_ceq_with_boxed_vt.il: Regression test for #461200.

2008-12-01 Rodrigo Kumpera <rkumpera@novell.com>

	* unverifiable_boxed_type_not_compatible_with_string.il:
	* unverifiable_boxed_type_not_compatible_with_valuetype.il:
	* unverifiable_ret_with_boxed_value_on_stack.il: Regression tests
	for #448560.

2008-09-03 Rodrigo Kumpera <rkumpera@novell.com>

	* strict_native_int_converts_to_unamanged_pointer.cs: It turns
	out that this test should generate unverifiable code. Big WTF
	for me as well. 

2008-07-30 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_inflated_generic_constraint_compatible.il:
	Regression test for constraints that require to be
	inflated.

2008-07-30 Rodrigo Kumpera <rkumpera@novell.com>

	* invalid_argument_type.il:
	* invalid_local_variable.il: New tests for invalid types
	in locals or arguments.

2008-07-28 Rodrigo Kumpera <rkumpera@novell.com>

	* invalid_generic_type_with_explicit_layout.il: New test.
	
	* Makefile: Fix C# files compilation.

2008-07-25 Rodrigo Kumpera <rkumpera@novell.com>

	* make_generic_argument_constraints_test.sh: New test
	generator for constraint compatibility of generic arguments.

	* make_tests.sh: Added tests using using
	the new generator.

	* invalid_generic_argument_violate_type_constraint.il:
	Test for constraints compatibility between types.

2008-07-24 Rodrigo Kumpera <rkumpera@novell.com>

	* unverifiable_binary_compare_with_generic_argument.il:
	* unverifiable_binary_compare_with_valuetype.il:
	* unverifiable_ceq_with_generic_argument.il:
	* unverifiable_ceq_with_valuetype.il:
	Tests for valuetypes and generic arguments with
	bne.un and ceq.

2008-07-23 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_nested_field_access_with_generic_class.cs:
	Check if nested access works with generic types. 

	* valid_isinst_box_generic_arguments.il: Check if generic
	arguments should be boxed by isisnt and castclass.

2008-07-23 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_generic_inst_field_might_have_zero_size.il:
	Regression test found from gtest-106.exe

2008-07-11 Rodrigo Kumpera <rkumpera@novell.com>

	* invalid_ldtoken_field.il
	* invalid_ldtoken_method.il
	* invalid_ldtoken_type_2.il
	* invalid_ldtoken_type_3.il
	* invalid_ldtoken_type.il: Tests for bad tokens for
	the ldtoken opcode.

2008-07-11 Rodrigo Kumpera <rkumpera@novell.com>

	* invalid_bad_method_instantiation.il: Test for 
	instantiations using VAR or MVAR that are invalid
	in the current context.

2008-07-11 Rodrigo Kumpera <rkumpera@novell.com>

	* unverifiable_funptr_double_free_regression.il: Regression
	test for double free of funptrs.

2008-06-24 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_generic_exception_catch_clause_type.cs: Regression
	test for #402606.

2008-06-06 Rodrigo Kumpera <rkumpera@novell.com>

	* make_ctor_test.sh: New test generator for 
	constructor related tests.

	* make_tests.sh: Added tests using using
	the new generator.

2008-05-23 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_contravariant_delegate_1.il
	* valid_contravariant_delegate_2.il
	* valid_convariant_delegate_1.il
	* valid_convariant_delegate_2.il
	* valid_generic_delegate_1.cs
	* valid_generic_delegate_2.cs
	* valid_invariant_delegate.il: Test compatibility of generic
	delegates in the presence of variance.

2008-05-14 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_visibility_across_generic_instantiations.cs: Regression
	test for #390128.

2008-05-14 Rodrigo Kumpera <rkumpera@novell.com>

	* test_lib.cs: Dependency for new visibility related tests.

	* Makefile: Added compilation step for test_lib.cs.

2008-05-09 Rodrigo Kumpera <rkumpera@novell.com>

	* make_type_visibility_test.sh: New test
	generator for visibility tests of generic
	method and type	arguments.

	* make_tests.sh: Added tests using using
	the new generator.

2008-05-09 Rodrigo Kumpera <rkumpera@novell.com>

	* make_tests.sh: Changed one test from unverifiable
	to valid as it only fails on MS runtime due to a bug
	on its implementation.

2008-05-02 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_nullable_store.il: New test to ensure
	that nullables are properly compared.

2008-05-02 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_leave_before_try_block.il: New test to ensure
	that the leave opcode empties the stack.

2008-05-02 Rodrigo Kumpera <rkumpera@novell.com>

	* BatchCompiler.cs: ilasm generates bad tokens when
	compiling many times within the same appdomain.
	Using one per source file. Compilation times are
	now just a bit faster than before.

	* Makefile: Fix typo.

2008-05-01 Rodrigo Kumpera <rkumpera@novell.com>

	* unverifiable_ldsfld_no_fld.il: Fixed compilation
	and renamed to invalid_ldsfld_no_fld.il.

	* BatchCompiler.cs: New driver to fast compile the
	verifier test suite. It's about 20x faster now.

	* Makefile: Use the ilasm driver for faster compilation.

2008-04-30 Rodrigo Kumpera <rkumpera@novell.com>

	* make_il_overflow_test.sh: New test generator
	for a truncated IL stream.

	* make_tests.sh: Fixed generation script. Added
	tests using the new generator.

2008-04-23 Rodrigo Kumpera <rkumpera@novell.com>

	* make_tests.sh: Add some tests for overlapping
	aligned reference fields.

	* Makefile: Added new test prefix typeunverifiable.
	It should be used for tests that type fails to load
	only under verifiable.

2008-04-15 Rodrigo Kumpera <rkumpera@novell.com>

	* make_boxed_genarg_test.sh: New test generator
	for boxed generic arguments.

	* make_test.sh: Added tests using the new generator
	for the interaction between boxed generic arguments
	and its constraint types.

2008-04-10 Rodrigo Kumpera <rkumpera@novell.com>

	* AssemblyRunner.cs: If a VerificationException
	happens while running under fulltrust, it means
	that the code is invalid.

	* make_method_constraint_test.sh: Test generator for
	generic methods argument constraints.

	* make_test.sh: Added tests for invalid opcodes
	using the new generator.

	* invalid_generic_method_and_type.il: New test
	for generic constraints.

2008-04-10 Rodrigo Kumpera <rkumpera@novell.com>

	* make_bad_op_test.sh: Test generator for
	invalid opcodes.

	* make_test.sh: Added tests for invalid opcodes
	using the new generator.

2008-04-08 Rodrigo Kumpera <rkumpera@novell.com>

	* make_overlapped_test.sh: Test generator for
	overlapped fields.

	* make_test.sh: Added tests for overlapped
	fields using the new generator.

2008-04-07 Rodrigo Kumpera <rkumpera@novell.com>

	* make_unary_test.sh: Clear the stack before ret.

	* make_test.sh: Added tests for ckfinite.

2008-04-04 Rodrigo Kumpera <rkumpera@novell.com>

	* make_tail_call_test.sh: New test generator for
	tail prefix.

	* make_test.sh: Added tests using the new generator.

2008-04-04 Rodrigo Kumpera <rkumpera@novell.com>

	* invalid_branch_middle_of_instruction.il: Recent
	work on prefixes broke the verification for branching
	in the middle of an instruction.

2008-04-02 Rodrigo Kumpera <rkumpera@novell.com>

	* make_prefix_test.sh: New test generator for
	instruction prefix.

	* make_test.sh: Added tests using the new generator.

2008-04-02 Rodrigo Kumpera <rkumpera@novell.com>

	* make_type_constraint_test.sh: New test generator for
	constraints on generic type arguments.

	* make_testS: Added tests using the new generator.

2008-03-31 Rodrigo Kumpera <rkumpera@novell.com>

	* AssemblyRunner.cs: Mark TypeLoadException as invalid code.

2008-03-25 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_branch_to_first_prefix.il: Test branching to the first prefix
	of an instruction.

2008-03-24 Rodrigo Kumpera <rkumpera@novell.com>

	* make_cmmp_test.sh: Test generator for readonly pointers.

	* make_test.sh: New tests using the added generator.

2008-03-17 Rodrigo Kumpera <rkumpera@novell.com>

	* make_constrained_test.sh: Test generator for constrained calls.

	* make_test.sh: New tests using the added generator.

2008-03-12 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_generic_test.cs: Tests for generic classes.

	* unverifiable_generic_type_field_access.il: Tests for
	not mixing generic arguments.

	* valid_generic_test.cs: Add tests for generic
	class and method together.

2008-03-12 Rodrigo Kumpera <rkumpera@novell.com>

	* strict_native_int_converts_to_unamanged_pointer.cs: Allow
	conversion from native int to unmanaged pointer in non-strict mode.
	This is required to allow the C# expression "(IntPtr)null" to be
	verifiable.

2008-03-12 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_ldftn_final_virtual_method.il:
	* valid_ldftn_sealed_type_virtual_method.il: Tests the interaction
	of sealed type and final method or ldftn verifiability.

2008-03-11 Rodrigo Kumpera <rkumpera@novell.com>

	* make_delegate_compat_test.sh: Added. Generate tests for
	compatibility between delegate signature and function
	signature.

	* make_tests.sh: Added tests using make_delegate_compat_test.sh.

2008-03-10 Rodrigo Kumpera <rkumpera@novell.com>

	* make_invalid_ret_type.sh: Added. Generate return site tests
	for invalid return types.

	* make_tests.sh: Add tests using make_invalid_ret_type.sh. 

2008-03-10 Rodrigo Kumpera <rkumpera@novell.com>

	* unverifiable_callvirt_static_method.il: Added. Test for callvirt and
	static methods.

2008-02-28 Rodrigo Kumpera <rkumpera@novell.com>

	* invalid_refanytype_null_stack_top.il: New test for refanytype opcode.

	* invalid_refanytype_invalid_stack_top.il: Same.

	* valid_refanytype.il: Same.

2008-02-28 Rodrigo Kumpera <rkumpera@novell.com>

	* make_mkrefany.il: New test generator for mkrefany opcode.

	* make_tests.sh: Added tests for mkrefany.

2008-02-27 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_vararg.il: New test for calling vararg methods.

2008-02-27 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_refanyval.il: New test for the refanyval opcode.

	* invalid_refanyval_null_stack_top.il: Same.

	* invalid_refanyval_invalid_stack_top.il: Same.

2008-02-27 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_arglist.il: New test for the arglist opcode.

	* invalid_arglist_method_not_vararg.il: Same.

2008-02-18 Rodrigo Kumpera <rkumpera@novell.com>

	* unverifiable_locals_without_initlocals.il: Methods with locals
	that are not .init are allways unverifiable.

2008-02-08 Rodrigo Kumpera <rkumpera@novell.com>

	* unverifiable_void_ptr_store_2.cs: Tests for using unmanaged pointers.
	This test looks for void pointers.

	* unverifiable_void_ptr_store_3.cs: Same.

	* unverifiable_void_ptr_store.cs: Same.

	* valid_merge_boxed_type_3.cs: Test merging a reference type diferent than
	System.Object and a boxed valuetype. This is hopefully the last issue of
	merging stack frames.

	* Makefile: compile .cs files with /unsafe switch.

2008-02-06 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_boxed_enum_is_compatible_with_system_enum.cs: Added. 
	Test if an enum is compatible with System.Enum.

	* valid_merge_boxed_type.cs: Added. Test merging
	a boxed int32 with a reference type.

	* valid_merge_boxed_type_2.cs: Same.

	* make_ldelem_test.sh: Added some enums to be used by the tests.

	* make_tests.sh: New tests for ldelem compatibility between enums
	and their base type. Marked some tests as strict.

2008-02-06 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_merge_base_type.cs
	* valid_merge_first_value_is_base_type.cs:
	* valid_merge_interface_type_3.cs: 
	* valid_merge_interface_type_4.cs:
	* valid_merge_interface_type.cs:
	* valid_merge_second_value_is_base_type.cs: New tests for stack merging.
	These tests verify the correctness of the merged value.

2008-01-30 Rodrigo Kumpera <rkumpera@novell.com>

	* make_tests.sh: More tests for brtrue/brfalse with boxed values
	and null literals.

	* make_bool_branch_test.sh: New optional arg to allow for new tests.

2008-01-30 Rodrigo Kumpera <rkumpera@novell.com>

	* make_tests.sh: Removed some invalid tests for nesting access
	as they where trying to call non final virtual methods without using
	the 'this' pointer.

2008-01-23 Rodrigo Kumpera <rkumpera@novell.com>

	* make_call_test.sh: test generator for call and callvirt.

	* make_tests.sh: added tests for call and callvirt.

2008-01-21 Rodrigo Kumpera <rkumpera@novell.com>

	* invalid_ldstr_bad_token.il: added. check the index
	against the the #US heap.

2008-01-21 Rodrigo Kumpera <rkumpera@novell.com>

	* unverifiable_newobj_no_visibility.il: added. visibility
	check for newobj.

2008-01-21 Rodrigo Kumpera <rkumpera@novell.com>

	* unverifiable_ldftn_no_visibility.il: added. visibility
	check for ldftn.

	* unverifiable_ldvirtftn_no_visibility.il: added. visibility
	check for ldvirtftn.

2008-01-18 Rodrigo Kumpera <rkumpera@novell.com>

	* make_tests.sh: added tests for ovf math with floats.

2008-01-17 Rodrigo Kumpera <rkumpera@novell.com>

	* make_localloc_test.sh: test generator for localloc.

	* make_tests.sh: added tests for localloc.

2008-01-17 Rodrigo Kumpera <rkumpera@novell.com>

	* make_sizeof_test.sh: test generator for sizeof.

	* make_tests.sh: added tests for sizeof.

2008-01-17 Rodrigo Kumpera <rkumpera@novell.com>

	* make_cp_test.sh: test generator for cpobj.

	* make_tests.sh: added tests for cpobj.

2008-01-17 Rodrigo Kumpera <rkumpera@novell.com>

	* invalid_initobj_invalid_token_out_of_bounds.il: tests for initobj.

	* invalid_initobj_invalid_token_type.il: same.

	* make_initobj_test.sh: test generator for initobj.

	* make_tests.sh: added tests for initobj.

2008-01-11 Rodrigo Kumpera <rkumpera@novell.com>

	* unverifiable_ldfld_reference_type_by_ref.il: new test for ldfld.

	* invalid_stojb_bad_token.il: test for bad ldobj token.

	* invalid_stojb_token_out_of_bounds.il: same.

	* make_stobj_test.sh: new test generator.

	* make_test.sh: added new tests for stobj.
	
2008-01-10 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_ldftn_method_spec_token.il: new test
	for loading function pointers for generic methods.

2008-01-09 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: added tests for unbox.any.

	* make_unbox_any_test.sh: new test generator.

2008-01-09 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: added tests for add|sub|mul ovf;

	* unverifiable_unbox_toke_is_reference_type.il: New test for regressions
	found while validating vbnc.

	* valid_stind_ref_with_boxed_value.il: same.
	*  valid_ldelema_enum_array.il: same.

2008-01-09 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_isinst_with_boxed_valuetype.il: New test for regressions
	found while validating vbnc.

	* valid_ldfld_valuetype_by_ref.il: same.
	* valid_ldfld_valuetype_by_value.il: same.
	* valid_stelem_ref_boxed_value.il: same.
	* valid_stloc_boxed_valuetype.il: same.
	* valid_sub_class_of_generic_type_is_compatible.il: same.
	* unverifiable_ldfld_valuetype_boxed.il:  same.
	* unverifiable_ldfld_reference_type_by_ref.il: same.

	* make_test.sh: new tests for stfld and cgt.un.
	

2008-01-08 Rodrigo Kumpera <rkumpera@novell.com>

	* make_delegate_test.sh: increased max stack for
	ldvirtftn tests.

	* make_tests.sh: added new tests for delegates
	constructed with ldvirtftn.

2008-01-07 Rodrigo Kumpera <rkumpera@novell.com>

	* make_delegate_test.sh: added.

	* make_tests.sh: added new tests for delegates
	constructed with ldftn.

2008-01-03 Rodrigo Kumpera <rkumpera@novell.com>

	* invalid_ldvirtftn_invalid_token_type.il: added.
	
	* make_ldvirtftn_test.sh: added.

	* invalid_ldvirtftn_invalid_token_out_of_bounds.il: added.

	* make_ldftn_test.sh: changed to allow more tests.

	* make_tests.sh: added new tests for ldvirtftn and
	a buch more for ldftn.

2007-12-31 Rodrigo Kumpera <rkumpera@novell.com>

	* invalid_ldftn_invalid_token_out_of_bounds.il: added.
	
	* invalid_ldftn_invalid_token_type.il: added.

	* make_ldftn_test.sh: added.

	* make_test.sh: new tests for ldftn.

	* AssemblyRunner.cs: added BadImageFormatException
	to the list of invalid code errors. Removed
	some dead code and an useless message.


2007-12-27 Rodrigo Kumpera <rkumpera@novell.com>

	* invalid_non_empty_stack_at_try_begin.il: added.

	* valid_branch_to_first_intruction_of_try.il: added.


2007-12-27 Rodrigo Kumpera <rkumpera@novell.com>

	* make_exception_overlap_test.sh: new test generator.

	* make_tests.sh: new tests for exception clause restrictions
	enumerated in P1 12.4.2.7.

	* invalid_catch_block_starts_after_prefix.il: new test
	for a catch block that starts in the middle of an instruction.

2007-12-24 Rodrigo Kumpera <rkumpera@novell.com>

	* make_switch_test.sh: new test generator.

	* make_exception_branch_test.sh: the filter
	handler did not pop the exception argument.

	* make_tests.sh: add tests for switch.

2007-12-21 Rodrigo Kumpera <rkumpera@novell.com>

	* make_branch_test.sh: new test generator.

	* make_exception_branch_test.sh: added
	support to test generator to specify
	the expected result.

	* make_tests.sh: some results for
	make_exception_branch_test.sh were
	wrong, fixed that.

	* make_tests.sh: added some tests
	to beq and bge.

	* make_tests.sh added tests for br.

2007-12-20 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_exception_sequence.il: new test
	for what blocks take an exception on
	stack at the begin.

2007-12-19 Rodrigo Kumpera <rkumpera@novell.com>

	* invalid_empty_catch_block.il
	* invalid_empty_fault_block.il
	* invalid_empty_filter_block.il
	* invalid_empty_finally_block.il
	* invalid_empty_handler_block.il
	* invalid_empty_try_block.il
	tests for empty protected blocks.

	* invalid_exception_blocks_order.il:
	test for the required ordering of exception
	clauses.

	* invalid_finally_block_overlap_try_block.il
	* invalid_try_block_includes_catch_block.il
	* invalid_try_block_inside_filter_block.il
	tests for ill formed exception clauses.
		
	* invalid_fallout_of_filter_block.il
	* invalid_fallout_of_handler_block.il
	* invalid_fallthru_into_filter_block.il
	* invalid_fallthru_into_handler_block.il
	* unverifiable_fallout_of_catch_block.il
	* unverifiable_fallout_of_fault_block.il
	* unverifiable_fallout_of_finally_block.il
	* unverifiable_fallout_of_try_block.il
	* unverifiable_fallthru_into_catch_block.il
	* unverifiable_fallthru_into_fault_block.il
	* unverifiable_fallthru_into_finally_block.il
	* valid_end_try_block_with_throw.il:
	tests for fallthru in and out of protected blocks.

2007-12-18 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: added tests for filter

	* make_filter_test.sh: new test generator

2007-12-14 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: added tests for endfilter

	* make_endfilter_test.sh: new test generator

2007-12-14 Rodrigo Kumpera <rkumpera@novell.com>

	* Makefile: add support to check strict tests.

	* AssemblyRunner.cs: start using peverify as part of the
	process. Support for strict tests.

2007-12-12 Rodrigo Kumpera <rkumpera@novell.com>

	* invalid_filter_ends_at_endfilter_1.il: tests if the
	filter block is limited by the start of the associated 
	handler clause or it is limited by the ocurrence of
	endfilter. These 3 tests show that even if the endfilter
	instruction must be the last, it doesn't define the end
	of the filter block.

	* invalid_filter_ends_at_endfilter_2.il: same

	* invalid_filter_ends_at_endfilter_3.il: same

	* make_test.sh: added tests for endfinally / endfault
	* make_endfinally_test.sh: new test generator

2007-12-11 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: added tests for rethrow
	* make_rethrow_test.sh: new test generator

2007-12-11 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: added tests for throw
	* make_throw_test.sh: new test generator

2007-12-07 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: added tests for castclass and isinst
	* make_cast_test.sh: new test generator

2007-12-07 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: added tests for stelem.X
	* make_stelem_test.sh: new test generator

2007-12-06 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: added tests for ldelem

2007-12-06 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: fixed compilation issues with some tests.

2007-12-06 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: added tests for ldelem.X
	* make_ldelem_test.sh: new test generator

2007-12-05 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: added tests for ldelema
	* make_ldelema_test.sh: new test generator

2007-12-05 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: added tests for ldlen
	* make_ldlen_test.sh: new test generator

2007-10-26 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_array_method.cs: test for invoking array methods.

2007-10-09 Rodrigo Kumpera <rkumpera@novell.com>

	* make_tests.sh: tests for the return type of the invoked method.
	tests for passing typedbyref as param.

	* make_obj_store_test.sh: add new optional script parameter to tell
	if class fields should be generated. This fix some bogus tests using
	typedbyref.

2007-10-09 Rodrigo Kumpera <rkumpera@novell.com>
	* make_tests.sh: unbox_byref_like test was flawed, it was not testing
	the proper unverifable condition.

2007-10-09 Rodrigo Kumpera <rkumpera@novell.com>

	* make_unary_test.sh: fixed an invalid struct that has no fields,
	this was not the subject of the tests.
	* make_newobj_test.sh: added, generate tests for newobj.
	* make_tests.sh: added the new tests for newobj and some corner
	cases of local/arg load/store.


2007-10-04 Rodrigo Kumpera <rkumpera@novell.com>

	* make_store_indirect_test.sh: added, generate tests for stind.X.
	* make_tests.sh: added the new tests for ldind.X.

2007-10-02 Rodrigo Kumpera <rkumpera@novell.com>

	* make_tests.sh: added the new tests for ops mixing Int32 and IntPtr, disabled
	the overlapped tests for now
	* make_unary_test.sh: disabled the overlapped tests for now
	* make_field_store_test.sh: sames

2007-09-27 Rodrigo Kumpera <rkumpera@novell.com>

	* make_load_indirect_test.sh: added, generate tests for ldind.X.
	* make_tests.sh: added the new tests for ldind.X and new tests for stloc/starg using 
	native int and int32.

2007-09-25 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_load_addr.il: Tests for valid uses of ldarga and ldloca
	* make_double_nesting_test.sh: Generate tests for calling nested classes from a diferent outer class

2007-09-25 Rodrigo Kumpera <rkumpera@novell.com>

	* valid_generic_params.cs (added): Tests for valid use of generic types.
	* Makedfile: added valid_generic_params.cs

2007-08-16 Rodrigo Kumpera <rkumpera@novell.com>

	* make_newarr_test.sh (added):  Generate newarr related tests.
	* make_tests.sh: Addes tests for newarr.


2007-08-15 Rodrigo Kumpera <rkumpera@novell.com>

	* make_unbox_test.sh (added):  Generate unbox related tests.
	* make_tests.sh: Addes tests for unbox.


2007-08-15 Rodrigo Kumpera <rkumpera@novell.com>

	* make_ldobj_test.sh (added):  Generate ldobj related tests.
	* make_tests.sh: Addes tests for ldobj.

2007-08-13 Rodrigo Kumpera <rkumpera@novell.com>

	* make_ldtoken_test.sh (added):  Generate ldtoken related tests
	* make_tests.sh: Addes tests for ldtoken, conv.*.* and visibility checks
	for nested classes mixed with inheritance

2007-08-10 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: Added new visibility tests and not/neg tests
	* make_cross_nested_access_test.sh: new test script for visibility
	between two classes nested in the same class
	* unverifiable_ldsfld_no_fld.il: added main method
	* make_unary_test.sh: added some types to make room for more tests
	* make_exception_branch_test.sh: fix the test to trigger the right error


2007-08-02 Rodrigo Kumpera <rkumpera@novell.com>

	* make_exception_branch_test.sh: Fix the generation of the tests, so only
	branching problems are validated.

2007-07-20 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: added more visibility tests
	* Makefile: changed again the clean target to work with the larger number of tests
	* make_self_nested_test.sh: new visibility tests

2007-07-19 Rodrigo Kumpera <rkumpera@novell.com>

	* make_test.sh: added reference compatibility tests

2007-07-05 Rodrigo Kumpera <rkumpera@novell.com>

	* AssemblyRunner.cs: bug fix: handles missing fields corrently
	* make_test.sh: correct some tests based on fixed AssemblyRunner
	
2007-07-05 Rodrigo Kumpera <rkumpera@novell.com>

	* AssemblyRunner.cs: Allow running the test suite from the same VM instance
	* make_tests.sh: improved the test-suite, now it works running under a VM, not just the verifier
	* unverifiable_ldflda_other_class_on_simple_method.il: same
	* unverifiable_ptr_nop.il: same
	* unverifiable_ldsflda_other_class_field_on_cctor.il: same
	* make_load_test.sh: same
	* make_stack_0_test.sh: same
	* make_obj_store_test.sh: same
	* unverifiable_m_ptr_ldloc.il: same
	* make_ret_test.sh: same
	* make_store_test.sh: same
	* unverifiable_ldsflda_other_class_on_simple_method.il: same
	* make_access_test.sh: same
	* unverifiable_ptr_ldloc.il: same
	* invalid_call_no_method.il: same
	* unverifiable_ldsfld_no_fld.il: same
	* unverifiable_ldflda_owner_class_on_simple_method.il: same
	* unverifiable_m_ptr_ldarg.il: same
	* make_stack_merge_test.sh: same
	* unverifiable_stack_2_ret.il: same
	* unverifiable_ldflda_other_class_field_on_ctor.il: same
	* unverifiable_ldflda_other_class_field_on_cctor.il: same
	* make_field_store_test.sh: same
	* invalid_backward_branch.il: same
	* unverifiable_ldfld_initonly.il: same
	* make_nested_access_test.sh: same
	* invalid_stack_2_ret.il: same
	* unverifiable_ldsflda_owner_class_on_simple_method.il: same
	* unverifiable_ptr_ldarg.il: same
	* valid_fld_initonly.il: same
	* make_bin_test.sh: same
	* make_field_valuetype_test.sh: new tests
	

2007-07-03 Rodrigo Kumpera <rkumpera@novell.com>

	* make_tests.sh: new access verification tests
	* make_access_test.sh: create member access test
	* make_nested_access_tests.sh: create nested member access test

2007-07-03 Rodrigo Kumpera <rkumpera@novell.com>

	*make_tests.sh: fixed two tests to produce valid results with .net
	*make_field_test.sh: make fields public

2007-06-22  Rodrigo Kumpera  <kumpera@gmail.com>

	* unverifiable_ldflda_other_class_on_simple_method.il: test for load field address in .ctor
	* unverifiable_ldsflda_other_class_on_simple_method.il: same
	* unverifiable_ldsflda_other_class_field_on_cctor.il: same
	* unverifiable_ldflda_other_class_field_on_cctor.il: same
	* unverifiable_ldsflda_owner_class_on_simple_method.il: same
	* unverifiable_ldflda_owner_class_on_simple_method.il: same
	* valid_ldflda_owned_field_on_cctor.il: same
	* valid_ldsflda_owned_field_on_cctor.il: same
	* valid_local_ref_ref_store.il: valid local store that was not covered before
	* unverifiable_ptr_nop.il:  unmanaged pointer ops
	* unverifiable_ptr_ldloc.il: same
	* unverifiable_ptr_ldarg.il: same
	* unverifiable_m_ptr_ldloc.il: same
	* unverifiable_m_ptr_ldarg.il: same

2007-06-20  Rodrigo Kumpera  <kumpera@gmail.com>

	*make_tests.sh: new ldsfld tests, more call conv tests

2007-06-19  Rodrigo Kumpera  <kumpera@gmail.com>

	*make_tests.sh: new ldfld tests (they check everything but visibility)
	*make_field_store_test.sh: generated the new field tests

2007-06-14  Rodrigo Kumpera  <kumpera@gmail.com>

	* invalid_dup_maxstack.il: the test wasn't generating the failing condition
	* make_tests.sh: fixed the generation of stack merge tests and a typo on the return coercion tests
	* unverifiable_ldfld_initonly.il: add assembly manifest (so it tests the right thing)
	* invalid_stack_2_ret.il: fix the entry point

2007-06-14  Rodrigo Kumpera  <kumpera@gmail.com>
	
	* invalid_call_empty_stack.il: added assembly manifest (so it tests the right thing)
	* invalid_ldsfld_nonstatic_fld.il: same
	* invalid_dup_maxstack.il: same
	* invalid_ldsfld_no_fld.il: same
	* unverifiable_call_private.il: same
	* invalid_backward_branch.il: same
	* make_unary_test.sh: same
	* invalid_ldloc_no_local.il: same
	* make_obj_store_test.sh: added static field to have stsfld tests
	* make_store_test.sh: fixed the entrypoint
	* make_tests.sh: fixed tests to be faithfull to the spec

2007-06-14  Rodrigo Kumpera  <kumpera@gmail.com>

	*Changelog: fixed the dates of my commits

2007-06-14  Rodrigo Kumpera  <kumpera@gmail.com>

	*make_load_test.sh: Fixed the entrypoint to generate valid code
	*make_ret_test.sh: Fixed the entrypoint to generate valid code. Removed invalid generics classes
	*make_tests.sh: Fixed the testsuite to not generate wrong tests
	*Makefile: split the clean step as it was failing due to the huge file list
	 (it might need further tweaking as the testsuite grows)

2007-06-12  Rodrigo Kumpera  <kumpera@gmail.com>

	* make_tests.sh: New boolean branch tests
	* make_bool_branch_test.sh: Test the stack value that boolean branches use (brfalse / brtrue)
	* make_ret_test.sh: removed unused variable from sed expression

2007-06-06  Rodrigo Kumpera  <kumpera@gmail.com>

	* Makefile (run-test): Make it use pedump instead of mono for validation
	* make_tests.sh: New tests
	* invalid_stack_2_tet.il: New test
	* make_ret_test.sh: New test script
	* make_load_test.sh: New test script
	* make_obj_store_test.sh: Test did not generate valid code for some cases
	* make_store_test.sh: Test did not generate valid code for some cases

2006-06-06  Zoltan Varga  <vargaz@gmail.com>

	* Makefile (run-test): Split 'test' target into a 'compile' and 'run-test' target.

	* make_tests.sh: Remove some stack merge tests which are verifiable.

	* make_unary_test.sh *.cil Makefile: Change extension of all static and generated
	test files to the standard .il.

2006-05-25  Zoltan Varga  <vargaz@gmail.com>

	* *.sh: Fix more verification problems.

	* TestRunner.cs: Use Assembly.EntryPoint instead of searching for a Main method.

2006-05-23  Zoltan Varga  <vargaz@gmail.com>

	* make_store_test.sh make_obj_store_test.sh make_stack_merge_test.sh: Fix
	more ilasm and verification problems.

	* TestRunner.cs: New file.

2006-05-12  Zoltan Varga  <vargaz@gmail.com>

	* make_store_test.sh make_obj_store_test.sh make_stack_merge_test.sh: Make
	valuetypes sealed to fix ilasm warnings.

Sun Mar 12 16:18:04 CET 2006 Paolo Molaro <lupus@ximian.com>

	* Initial import of the verifiers tests developed by
	Jim Purbrick <babbage@lindenlab.com>.

